import {Socket} from "socket.io";
import { User } from '@prisma/client';

export type TSocket = Socket & {
    user?: User
    handshake?: {
        query?: {
            token?: any
        }
    }
    request?: {
        headers?: {
            cookie?: any
        }
    }
}